Loading...
Searching...
No Matches
Mime::MultiPartRelatedMessage Class Reference

implements the MultiPartRelatedMessage class, a specialization of MultiPartMessage More...

Inheritance diagram for Mime::MultiPartRelatedMessage:
[legend]

## Public Member Functions

| addPart (data mime_data, string id, string content_type, *hash hdr)
| adds a message part to the end of the list More...
| constructor (string boundary=MultiPartMessage::getBoundary())
| creates the object More...
hash< MessageInfo > | getMsgAndHeaders ()
| returns a hash of the message More...
| splicePart (data mime_data, string id, string content_type, *hash< auto > hdr)
| adds a message part to the start of the list More...
Public Member Functions inherited from Mime::MultiPartMessage
| constructor (string mptype, string boundary=MultiPartMessage::getBoundary())
| creates the object More...
string | getBoundary ()
| returns the message boundary string used More...
abstract hash< MessageInfo > | getMsgAndHeaders ()
| returns a hash of the message More...
binary | serialize ()
| serializes the message with the Content-Type header first and returns a binary object ready to send over a socket
binary | serializeBody ()
| serializes the message body only and returns a binary object ready to send over a socket More...
int | size ()
| returns the number of parts in the message More...

## Additional Inherited Members

Static Public Member Functions inherited from Mime::MultiPartMessage
static string | getBoundary ()
| returns a string embedded with the current timestamp designed to be used as MultiPart boundary string
static string | getRandomString (int len)
| returns a string of random characters More...
static hash< MessageInfo > | parseBody (string boundary, data body, bool decode=True)
| returns a hash representing a parsed multipart message body from a boundary string and body arguments More...
static binary | serializeHeaders (hash hdr)
| serializes a header hash to a binary object More...

## Detailed Description

implements the MultiPartRelatedMessage class, a specialization of MultiPartMessage

## Member Function Documentation

## addPart()

Mime::MultiPartRelatedMessage::addPart | ( | data | mime_data,
|  | string | id,
|  | string | content_type,
|  | *hash | hdr
| ) |  |

adds a message part to the end of the list

Parameters

  mime_data | the data for the part
  id | the multipart/related ID for the part
  content_type | the content_type for the part
  hdr | an optional hash of headers for the part

Exceptions

  MULTIPART-RELATED-ERROR | if the id parameter is empty, this exception is thrown

## constructor()

Mime::MultiPartRelatedMessage::constructor | ( | string | boundary = `MultiPartMessage::getBoundary()` | ) |

creates the object

Parameters

  boundary | the boundary to use between parts

## getMsgAndHeaders()

hash< MessageInfo > Mime::MultiPartRelatedMessage::getMsgAndHeaders | ( |  | ) |

virtual

returns a hash of the message

Returns
  a hash of the message with the following keys:
  - `hdr:` a hash of header information
  - `body:` a binary object of serialized message parts

Implements Mime::MultiPartMessage.

## splicePart()

Mime::MultiPartRelatedMessage::splicePart | ( | data | mime_data,
|  | string | id,
|  | string | content_type,
|  | *hash< auto > | hdr
| ) |  |

adds a message part to the start of the list

Parameters

  mime_data | the data for the part
  id | the multipart/related ID for the part
  content_type | the content_type for the part
  hdr | an optional hash of headers for the part

Exceptions

  MULTIPART-RELATED-ERROR | if the id parameter is empty, this exception is thrown